Version of python bundled in with CAPM

book

Article ID: 141678

calendar_today

Updated On:

Products

CA Infrastructure Management CA Performance Management - Usage and Administration DX NetOps

Issue/Introduction

Does CAPM require python 2.7 and is this bundled in with the software? We have a compliance requirement to move to python 3.0. What steps (if any) are required to move to python 3.0?

Cause

We bundle python 2.x with CAPM.

Older versions of software can cause security issues on a network.

Our network team requires python 3.0 or higher be used.

Environment

Release : 3.x

Component : IM Reporting / Admin / Configuration

Resolution

You cannot upgrade the bundled python outside of a CAPM install.

Broadcom is looking at using python 3.0 in a future build, but there is no eta at this time.